Skip to content

Point ​

Summary ​

Create transactions involving SkyPoints, including point accrual and redemption

Methods ​

Point Accrual ​

POST https://api.skyjoy.vn/api-point/partner/v1/point-accrual

Headers ​

NameTypeDescription
Authorization*stringBearer <YOUR_ACCESS_TOKEN>
Content-Type*stringapplication/json

Request Body ​

NameTypeDescription
skyjoyId*stringThe SkyID of the member to accrue points to
transactionId*stringThe unique key for the partner transaction
itemIdstringThe unique key for the partner transaction
transactionDesobjectThe product information for the transaction
transactionDate*stringThe date of the partner transaction
transactionAmount*numberThe amount of the partner transaction. Must be a non-negative number
transactionCurrency*stringThe currency of the partner transaction. Default is VND
extraDataobjectThe customized data
json
{
    "statusCode": 200,
    "message": "SUCCESS",
    "data": {
        "sponsorId": 220,
        "transactionId": "F42F3F3378D83A8B2A242E818CB49",
        "bitReference": "2WJOAMGHHA4FE21UER4RTX5FGL",
        "skyjoyId": "SJ5408563422",
        "timestamp": "2023-09-11T04:43:32.900Z",
        "requestId": "da628090-4f2b-4b7a-a4c5-20f52a8630d9"
    }
}
sh
curl -X POST \
 --header 'Authorization: Bearer <YOUR_ACCESS_TOKEN>' \
 --header 'Content-Type: application/json' \
 -d '{"skyjoyId":"SJ5408563422","transactionId":"F42F3F3378D83A8B2A242E818CB49","itemId":"it_F42F3F3378D83A8B2A242E818CB48","transactionDes":{"voucher":"Tiki Book","value":150000},"transactionDate":1678896000000,"transactionAmount":152123,"transactionCurrency": "VND","extraData":{"firstName":"NGUYEN VAN","lastName":"A"}}' \
 'https://api.skyjoy.vn/api-point/partner/v1/point-accrual'

SkyJoy Integration Documentation